Retrieve price book items
curl --request GET \
--url https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/price-books/2026-09-beta/price-books/{priceBookId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"customProperties": {},
"id": "<string>",
"productId": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"billingPeriod": "<string>",
"costOfGoodsSold": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"images": "<string>",
"name": "<string>",
"priceBookId": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": "<string>"
}
]
},
"sku": "<string>",
"taxCategory": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Items
Retrieve price book items
Retrieve a list of items associated with a specific price book in your HubSpot account. This endpoint is useful for accessing detailed information about the products included in a particular price book. It supports pagination to manage large sets of data.
GET
/
commerce
/
price-books
/
2026-09-beta
/
price-books
/
{priceBookId}
/
items
Retrieve price book items
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the price book whose items you want to retrieve.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on July 20, 2026
Was this page helpful?
⌘I